#! /bin/sh
# set -x
if test ! -z $1; then 
    test -d $1 && cp -r /usr/share/doc/libsuperlu-dev/tests $1
    cp -r /usr/share/doc/libsuperlu-dev/examples $1/EXAMPLE
    gunzip $1/EXAMPLE/g10.gz
    cp  /usr/share/doc/libsuperlu-dev/make.inc $1
    cd $1/tests/MATGEN
    make CFLAGS="-I/usr/include/superlu" 
    cd $1/tests/
    make CFLAGS="-I/usr/include/superlu" 
    cd $1/EXAMPLE/
    make CFLAGS="-I/usr/include/superlu" 
else
    echo "usage: $0 <test directory>"
fi
